dsitxss: XDsiTxSs Struct Reference

| dsitxss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDsiTxSs Struct Reference
Dsitxss_v1_1

The XDsiTxSs driver instance data. More...

## Data Fields
XDsiTxSs_Config | Config
| Hardware configuration. More...
u32 | IsReady
| Device and the driver instance are initialized. More...
XDsi * | DsiPtr
| handle to sub-core driver instance More...
XDsi_ShortPacket | SpktData
| Short packet strucute to send short packet. More...
XDsiTx_CmdModePkt | CmdPkt
| DSI Command mode packet structure. More...
XDsi_ConfigParameters | ConfigInfo
| Configuration information contains GUI parameters, Timing parameters. More...
XDsiTxSs_Callback | ErrorCallback
     Callback function for
rest all errors More...
void * | ErrRef
     To be passed to the
Error Call back More...

## Detailed Description

The XDsiTxSs driver instance data.

The user is required to allocate a variable of this type for every XDsiTxSs device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

XDsiTx_CmdModePkt XDsiTxSs::CmdPkt

DSI Command mode packet structure.

Referenced by XDsiTxSs_SendCmdModePacket().

XDsiTxSs_Config XDsiTxSs::Config

Hardware configuration.

Referenced by XDsiTxSs_Activate(), XDsiTxSs_CfgInitialize(), XDsiTxSs_ReportCoreInfo(), XDsiTxSs_Reset(), and XDsiTxSs_SelfTest().

XDsi_ConfigParameters XDsiTxSs::ConfigInfo

Configuration information contains GUI parameters, Timing parameters.

Referenced by XDsiTxSs_GetConfigParams().

XDsi* XDsiTxSs::DsiPtr

handle to sub-core driver instance

Referenced by XDsiTxSs_Activate(), XDsiTxSs_CfgInitialize(), XDsiTxSs_DefaultConfigure(), XDsiTxSs_GetCmdQVacancy(), XDsiTxSs_GetConfigParams(), XDsiTxSs_GetPixelFormat(), XDsiTxSs_InterruptEnable(), XDsiTxSs_IntrHandler(), XDsiTxSs_IsControllerReady(), XDsiTxSs_ReportCoreInfo(), XDsiTxSs_Reset(), XDsiTxSs_SelfTest(), XDsiTxSs_SendCmdModePacket(), XDsiTxSs_SendShortPacket(), XDsiTxSs_SetCallback(), XDsiTxSs_SetCustomVideoInterfaceTiming(), XDsiTxSs_SetDSIMode(), XDsiTxSs_SetGlobalInterrupt(), and XDsiTxSs_SetVideoInterfaceTiming().

XDsiTxSs_Callback XDsiTxSs::ErrorCallback

     Callback function for

rest all errors

void* XDsiTxSs::ErrRef

     To be passed to the

Error Call back

u32 XDsiTxSs::IsReady

Device and the driver instance are initialized.

Referenced by XDsiTxSs_CfgInitialize(), and XDsiTxSs_SetCallback().

XDsi_ShortPacket XDsiTxSs::SpktData

Short packet strucute to send short packet.

Referenced by XDsiTxSs_SendShortPacket().